/**

 * @author Alaa Aldin

 * @version 1.0

 */
package de.jaujau.spiellogik;

import de.jaujau.daten.Spielerverwaltung;
import de.jaujau.daten.Texturenpakete;
import de.jaujau.gui.GUI;
//import de.jaujau.gui.Menue_GUI;
//import de.jaujau.gui.Spiel_GUI;

public class Anwendung {

  private Spiel aktuellesSpiel;
  private Texturenpakete texturenpakete;
  private Spielerverwaltung speicherung;
  private GUI gui;

  //
  // Constructors
  //
  public Anwendung() {

    speicherung = new Spielerverwaltung();
    gui = new GUI(speicherung);

  };
  //
  // Methods

  //
  // Accessor methods
  //
  /**
   * Set the value of aktuellesSpiel
   * 
   * @param newVar the new value of aktuellesSpiel
   */
  public void setAktuellesSpiel(Spiel newSpiel) {
    aktuellesSpiel = newSpiel;
  }

  /**
   * Get the value of aktuellesSpiel
   * 
   * @return the value of aktuellesSpiel
   */
  public Spiel getAktuellesSpiel() {
    return aktuellesSpiel;
  }

  /**
   * Set the value of texturenpakete
   * 
   * @param newVar the new value of texturenpakete
   */
  public void setTexturenpakete(Texturenpakete newTexture) {
    texturenpakete = newTexture;
  }

  /**
   * Get the value of texturenpakete
   * 
   * @return the value of texturenpakete
   */
  public Texturenpakete getTexturenpakete() {
    return texturenpakete;
  }

  /**
   * Set the value of speicherung
   * 
   * @param newVar the new value of speicherung
   */
  public void setSpeicherung(Spielerverwaltung newVer) {
    speicherung = newVer;
  }

  /**
   * Get the value of speicherung
   * 
   * @return the value of speicherung
   */
  public Spielerverwaltung getSpeicherung() {
    return speicherung;
  }

  //
  // Other methods
  //
  public static void openMenue_GUI(Anwendung jaujau) { // Menue_GUI oeffnen!
    jaujau.gui.setVisible(true);

  }

  /**
   */
  public static void main(String[] args) {
    Anwendung jaujau = new Anwendung();
    openMenue_GUI(jaujau);

    /**
     * Launch the application.
     */

  }
}